- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes

# QWSProtocolItem Struct Reference

Search for all occurrences

## Detailed Description

Definition at line 61 of file qwsprotocolitem_qws.h.

`#include <qwsprotocolitem_qws.h>`

Inheritance diagram for QWSProtocolItem:
[legend]

List of all members.

## Public Member Functions
| QWSProtocolItem (int t, int len, char *ptr)
virtual | ~QWSProtocolItem ()
void | write (QIODevice *s)
bool | read (QIODevice *s)
void | copyFrom (const QWSProtocolItem *item)
virtual void | setData (const char *data, int len, bool allocateMem=true)
## Public Attributes
int | type
int | simpleLen
int | rawLen
bool | deleteRaw
char * | simpleDataPtr
char * | rawDataPtr
int | bytesRead

## Constructor & Destructor Documentation

QWSProtocolItem | ( | int | t,
|  | int | len,
|  | char * | ptr
| ) |  | `[inline]`

Definition at line 64 of file qwsprotocolitem_qws.h.

                                                   : type(t),
            simpleLen(len), rawLen(-1), deleteRaw(false), simpleDataPtr(ptr),
            rawDataPtr(0), bytesRead(0) { }

virtual ~QWSProtocolItem | ( |  | ) | `[virtual]`

## Member Function Documentation

void write | ( | QIODevice * | s | ) |

Search for all occurrences

bool read | ( | QIODevice * | s | ) |

Search for all occurrences

void copyFrom | ( | const QWSProtocolItem * | item | ) |

Search for all occurrences

virtual void setData | ( | const char * | data,
|  | int | len,
|  | bool | allocateMem = `true`
| ) |  | `[virtual]`

Search for all occurrences

Reimplemented in QWSConnectedEvent, QWSRegionEvent, QWSEmbedEvent, QWSPropertyReplyEvent, QWSQCopMessageEvent, QWSIMEvent, QWSIMInitEvent, and QWSFontEvent.

## Member Data Documentation

int type

Search for all occurrences

Definition at line 70 of file qwsprotocolitem_qws.h.

int simpleLen

Search for all occurrences

Definition at line 71 of file qwsprotocolitem_qws.h.

int rawLen

Search for all occurrences

Definition at line 72 of file qwsprotocolitem_qws.h.

bool deleteRaw

Search for all occurrences

Definition at line 73 of file qwsprotocolitem_qws.h.

char* simpleDataPtr

Search for all occurrences

Definition at line 84 of file qwsprotocolitem_qws.h.

char* rawDataPtr

Search for all occurrences

Definition at line 85 of file qwsprotocolitem_qws.h.

int bytesRead

Search for all occurrences

Definition at line 87 of file qwsprotocolitem_qws.h.

The documentation for this struct was generated from the following file:

- QtGui/qwsprotocolitem_qws.h